import 'dart:async';
import 'package:cloud_firestore/cloud_firestore.dart';

class FirestoreService {
  Stream<List<T>> getStream<T>(
      Query query, T Function(Map<String, dynamic>) object) async* {
    await for (final QuerySnapshot snapshot in query.snapshots()) {
      final docs = [for (final doc in snapshot.docs) doc.data() as Map<String, dynamic>];

      final objects = [for (final doc in docs) object(doc)];

      yield objects;
    }
  }

  Stream<T> getDocStream<T>(
      DocumentReference query, T Function(Map<String, dynamic>) object) async* {
    await for (final DocumentSnapshot snapshot in query.snapshots()) {
      yield object(snapshot.data() as Map<String, dynamic>);
    }
  }
}
