import 'dart:math';

import 'package:intl/intl.dart';

class NumberUtil {
  Duration sum(List<Duration> durations) {
    return durations.fold(Duration(), (value, element) => value + element);
  }

  double toFixed(double number, int i) {
    final multiplier = pow(10, i);

    return (number * multiplier).floor() / multiplier;
  }

  double getFractionWithOne(num number, num divider) {
    if (divider == 0) {
      return 1.0;
    } else {
      return number / divider;
    }
  }

  double getFractionWithZero(num number, num divider) {
    if (divider == 0 && number == 0) {
      return 0.0;
    } else if (divider == 0) {
      return 1.0;
    } else {
      return number / divider;
    }
  }

  double floorToNearest(num number, int divisor) {
    final int result = (number / divisor).floor() * divisor;

    return result.toDouble();
  }

  double roundToNearest(num number, int divisor) {
    final int result = (number / divisor).round() * divisor;

    return result.toDouble();
  }

  String toPercentage(num number) {
    return "${(number * 100).round()}%";
  }

  String toComma(num number) {
    return NumberFormat("#,###").format(number);
  }
}
