import 'package:flutter/material.dart';

class PlatformUtil {
  Widget getDifferentWidget(BuildContext context, Widget mobileView, Widget webView) {
    final bool isMobile = MediaQuery.of(context).size.width < 600;

    if (isMobile) {
      return mobileView;
    } else {
      return webView;
    }
  }
  
  Widget getResizedWidget(BuildContext context, {Alignment? alignment = Alignment.topCenter, required Widget child, double divider = 3}) {
    final bool isMobile = MediaQuery.of(context).size.width <= 800;

    Widget sizedBox = child;

    if (isMobile) {
      sizedBox = SizedBox(
        width: MediaQuery.of(context).size.width,
        child: child,
      );
    } else {
      sizedBox = SizedBox(
        width: 1917 / 3,
        child: child,
      );
    }

    Widget align = sizedBox;

    if (alignment != null) {
      align = Align(alignment: alignment, child: sizedBox);
    }

    return align;
  }

  bool isDesktop(BuildContext context) {
    final bool isDesktop = MediaQuery.of(context).size.width > 800;

    return isDesktop;
  }

  bool isMobile(BuildContext context) {
    final bool isMobile = MediaQuery.of(context).size.width < 600;

    return isMobile;
  }
}