import 'package:flutter/material.dart';

class ListTileView extends StatelessWidget {
  final EdgeInsets? contentPadding;
  final Widget? title;
  final Function? onTap;
  final Widget? leading;
  final Widget? trailing;

  ListTileView({
    this.contentPadding,
    this.title,
    this.onTap,
    this.leading,
    this.trailing
  });

  @override
  Widget build(BuildContext context) {
    return ListTile(
      title: title,
      contentPadding: contentPadding ?? EdgeInsets.only(left: 0, right: 0),
      onTap: onTap as void Function()?,
      trailing: trailing,
      leading: leading,
    );
  }
}
