import 'package:flutter/material.dart';

abstract class LoadingBarrier {
  static Future<void> load(BuildContext context, Function load) async {
    _add(context);

    await load();

    _remove();
  }

  static OverlayEntry? _overlayEntry;

  static void _add(BuildContext context) {
    _overlayEntry = OverlayEntry(
        builder: (context) {
          return SizedBox.expand(
            child: Container(
              color: Colors.black54,
              child: Center(child: CircularProgressIndicator()),
            ),
          );
        }
    );

    Overlay.of(context)!.insert(_overlayEntry!);
  }

  static void _remove() {
    if (_overlayEntry != null) {
      _overlayEntry!.remove();

      _overlayEntry = null;
    }
  }
}
