import 'package:flutter/material.dart';

class OutlinedIconView extends StatelessWidget {
  final Widget child;
  final Color backgroundColor;
  final Color borderColor;

  OutlinedIconView({
    required this.child,
    this.backgroundColor = Colors.transparent,
    required this.borderColor
  });

  @override
  Widget build(BuildContext context) {
    return IconTheme(
      data: IconThemeData(
        size: 16
      ),
      child: Center(
        child: Container(
          decoration: BoxDecoration(
              borderRadius: BorderRadius.circular(8),
              color: backgroundColor,
              border: Border.all(color: borderColor)
          ),
          width: 32,
          height: 32,
          child: child
        ),
      ),
    );
  }
}
