import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:flutter_helper/src/view/text_field_view.dart';

class OutlinedTextFieldView extends StatelessWidget {
  final String? label;
  final TextEditingController? controller;
  final Widget? prefixIcon;
  final Widget? suffixIcon;
  final TextCapitalization? textCapitalization;
  final bool? obscureText;
  final String? hintText;
  final TextInputType? keyboardType;
  final bool? autofocus;
  final bool? isMandatory;
  final Function? onSubmitted;
  final TextInputAction? textInputAction;
  final int? maxLines;
  final FormFieldValidator<String>? validator;
  final double? fontSize;
  final bool? readOnly;
  final Function? onTap;
  final bool? isExpanded;
  final Function(String)? onChanged;
  final TextAlign? textAlign;
  final List<TextInputFormatter>? inputFormatters;
  final String? initialValue;

  OutlinedTextFieldView({
    this.label,
    this.controller,
    this.prefixIcon,
    this.suffixIcon,
    this.textCapitalization,
    this.obscureText,
    this.hintText,
    this.keyboardType,
    this.autofocus,
    this.isMandatory,
    this.onSubmitted,
    this.textInputAction,
    this.maxLines,
    this.validator,
    this.fontSize,
    this.readOnly,
    this.onTap,
    this.isExpanded,
    this.onChanged,
    this.inputFormatters,
    this.textAlign,
    this.initialValue
  });

  @override
  Widget build(BuildContext context) {
    return TextFieldView(
      initialValue: initialValue,
      onChanged: onChanged,
      inputFormatters: inputFormatters,
      onTap: onTap,
      readOnly: readOnly,
      textInputAction: textInputAction,
      onSubmitted: onSubmitted,
      keyboardType: keyboardType,
      validator: validator,
      controller: controller,
      textAlign: textAlign,
      autofocus: autofocus,
      label: label,
      border: const OutlineInputBorder(),
      prefixIcon: prefixIcon,
      suffixIcon: suffixIcon,
      hintText: hintText,
      textCapitalization: textCapitalization,
      maxLines: maxLines,
      obscureText: obscureText,
    );
  }
}
