import 'package:flutter/material.dart';

class ProgressView extends StatefulWidget {
  final double progressPercentage;
  final double height;

  ProgressView({
    required this.progressPercentage,
    this.height = 4
  });

  @override
  State<ProgressView> createState() => _ProgressViewState();
}

class _ProgressViewState extends State<ProgressView> {
  @override
  Widget build(BuildContext context) {
    final progressPercentage = widget.progressPercentage;

    return Stack(
      children: [
        if (Theme.of(context).primaryColor is MaterialColor)
        ClipRRect(
          borderRadius: BorderRadius.all(Radius.circular(25.0)),
          child: Container(
            color: (Theme.of(context).primaryColor as MaterialColor)[100],
            height: widget.height,
          ),
        ),
        LayoutBuilder(builder: (context, constraints) {
          return ClipRRect(
            borderRadius: BorderRadius.all(Radius.circular(25.0)),
            child: Container(
              color: Theme.of(context).primaryColor,
              height: widget.height,
              width: constraints.maxWidth * progressPercentage,
            ),
          );
        }),
      ],
    );
  }
}
