import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter_helper/src/util/platform_util.dart';

class ScaffoldView extends StatelessWidget {
  final Widget? body;
  final bool resizeBody;
  final bool resizeAppBar;
  final Widget? appBar;
  final Widget? floatingActionButton;
  final FloatingActionButtonLocation? floatingActionButtonLocation;
  final Widget? bottomNavigationBar;
  final bool extendBody;
  final bool resizeToAvoidBottomInset;

  ScaffoldView(
      {this.body,
      this.resizeBody = kIsWeb,
      this.resizeAppBar = true,
      this.appBar,
      this.floatingActionButton,
      this.floatingActionButtonLocation,
      this.bottomNavigationBar,
      this.extendBody = false,
      this.resizeToAvoidBottomInset = true,
  });

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      resizeToAvoidBottomInset: resizeToAvoidBottomInset,
      extendBody: extendBody,
      floatingActionButton: floatingActionButton,
      floatingActionButtonLocation: floatingActionButtonLocation,
      appBar: appBar as PreferredSizeWidget?,
      bottomNavigationBar: bottomNavigationBar,
      body: Builder(
          builder: (BuildContext context) {
            var child;

            if (resizeBody) {
              child =  PlatformUtil().getResizedWidget(context, child: body!);
            } else {
              child = body;
            }

            return child;
          }
      ),
    );
  }
}